<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Customer_Itemattribute_Tag_Input
{
    var $c_tag;
    var $auth;
    
    var $pagetype;
    var $tags;
    var $ac;     //前のアクション
    var $cd; // 商品コード
    
    var $itemdata; // 商品データ
    
    //取得タグ
    var $itemmytag;
    var $myalltag;
    var $itemanytag;
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Customer_Itemattribute_Tag_Inputが実行されました", "Customer_Itemattribute_Tag_Input#execute");
        
        //商品情報取得
        $this->itemdata = $this->c_tag->getOneItem($this->cd);
        
        //ユーザがその商品に登録したタグ取得
        $this->itemmytag = $this->c_tag->getMyTag($this->auth->getAuthData("membercd"), $this->cd);
        
        //ログインユーザが登録したタグ全て取得
        $this->myalltag = $this->c_tag->getMyAllTagnm($this->auth->getAuthData("membercd"));
        
        //その商品に対する他のユーザのタグ全て取得
        $this->itemanytag = $this->c_tag->getAnyTag($this->auth->getAuthData("membercd"), $this->cd);
        
        //すでに登録されているか
        if( count($this->itemmytag) == 0) {
            $this -> pagetype = "登録";
        } else {
            $this -> pagetype = "変更";
        }

        return 'success';
    }
}
?>